<?php

namespace MotaRaido\Menu\Profile;

use \MotaRaido\Core\View;
use \MotaRaido\Core\Route;

if (!defined('MOTAFW')) 
{
    echo 'This file can only be called via the main index.php file, and not directly';
    exit();
}

Route::add('/preferred-loc/#user', function($user) use ($query) {
    $view = new View();
    $view->assign('title', 'Edit Preferred Location');
    $view->assign('user', $user);
    $prefLoc = $query->select('preferredloc', ['username' => $user]);
    $view->assign('prefLoc', $prefLoc);
    $view->render(__DIR__ . '/EditPrefLoc.view.php');
});

Route::add('/preferred-loc/#user/finish', function($user) use ($query) {
    $query->transaction(function() use ($query, $user) {
        $location = $_POST['location'];
        $query->insert('preferredloc', array('username' => $user, 'location' => $location));
        header('Location: /preferred-loc/' . $user);
    });
});

Route::add('/preferred-loc/#user/edit', function($user) use ($query) {
    $query->transaction(function() use ($query, $user) {
        $location_new = $_POST['location_new'];
        $location_old = $_POST['location_old'];
        $query->update('preferredloc', array('location' => $location_new), array('username' => $user, 'location' => $location_old));
        header('Location: /preferred-loc/' . $user);
    });
});


Route::add('/preferred-loc/#user/delete/#location', function($user, $location) use ($query) {
    $query->transaction(function() use ($query, $user, $location) {
        $query->delete('preferredloc', array('username' => $user, 'location' => $location));
        header('Location: /preferred-loc/' . $user);
    });
});